Loading...
Searching...
No Matches
Opm::Network::Node Class Reference

## Public Member Functions

| Node (const std::string &name)
const std::string & | name () const
const std::optional< double > & | terminal_pressure () const
bool | as_choke () const
double | efficiency () const
bool | add_gas_lift_gas () const
const std::optional< std::string > & | target_group () const
void | terminal_pressure (double pressure)
void | add_gas_lift_gas (bool add_gas)
void | as_choke (const std::string &target_group)
void | set_efficiency (const double efficiency)
bool | operator== (const Node &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Node | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Network/Node.hpp
- opm/input/eclipse/Schedule/Network/Node.cpp